Page MenuHomePhabricator

Help panel: text for help desk link
Closed, ResolvedPublic

Description

On the second screen of the help desk, the text should read like, "When you submit a question, it gets posted publicly under your username, "MMiller Test 15 beta", to the Community Help Desk, where another volunteer editor will try to provide an answer within the next day or so."

Right now in beta, the text reads, "When you submit a question, it gets posted publicly under your username, "MMiller Test 15 beta", to the Wikipedia:Help desk, where another volunteer editor will try to provide an answer within the next day or so."

The difference is that the first says "Community Help Desk" and the second says "Wikipedia:Help desk".

Is there a reason this is different? I also noticed that @Urbanecm translated it this way here in translatewiki: https://translatewiki.net/w/i.php?title=Special:Translate&showMessage=growthexperiments-help-panel-question-widget-header&group=ext-growthexperiments-helppanel&language=cs&filter=&optional=1&action=translate

Event Timeline

MMiller_WMF updated the task description. (Show Details)
MMiller_WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Hi, yes, I say Wikipedia:Help desk rather than Community Help Desk, and that's intentional. I do that to work around language issues - there isn't a Czech word/phrase meaning "Help Desk". I think saying "help desk" (literally) is understandable by many, and it's pretty common to use this English expression in Czech sentence, but I feel that doing so will introduce a new name for the Help Desk page, calling it something it isn't called by the community.

The other posibilities were to say "Your question will be posted to appropriate place", but I hope saying "Wikipedia:Help desk" will be understandable and give some information about where the question is, just as the English text will.

The difference is that the first says "Community Help Desk" and the second says "Wikipedia:Help desk".

I might have missed it in the spreadsheet, but I thought this was the intended wording.

The QQQ string is Text to show in the help panel when a user is submitting their question. $1 is a link to the community help desk. $2 is the username of the user submitting the question.

$1 is passed in as the configuration value for wgGEHelpPanelHelpDeskTitle, which is the part of the URL you see in your browser i.e. /wiki/Wikipedia:Help_desk on beta.

@Trizek-WMF and I talked about this with @Urbanecm today. We decided on a translation that will make sense in Czech that excludes the "Wikipedia:" prefix.

@kostajh -- in English, we want it to say Community Help Desk, because in user testing, the users understood exactly what that meant: it is a place to ask questions that are answered by other community members, not staff, and therefore they shouldn't expect immediate or perfect replies.

Change 482151 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Help Panel: Use translatable text for help desk link

https://gerrit.wikimedia.org/r/482151

Change 482151 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help Panel: Use translatable text for help desk link

https://gerrit.wikimedia.org/r/482151

The help desk link is translatable:

@MMiller_WMF
Community Help Desk is still listed as untranslated on https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-growthexperiments-helppanel&language=cs&filter=%21translated. kowiki has translated it.

@MMiller_WMF all translation is done in cswiki.

MMiller_WMF added a comment.EditedJan 15 2019, 12:15 AM

@Urbanecm -- I just noticed that this doesn't look right on Czech. See the screenshot below. It still says "Community Help Desk" in English. I think we decided on coming up with a Czech phrase that meant "help desk" or "help page" or something, even though the title of the link's destination is different.

And also on this screen, where it still has "Wikipedie:"

@revi -- it would be helpful if you could also double check that it says "Community Help Desk" in Korean in both those places.

I just noticed that this doesn't look right on Czech. See the screenshot below. It still says "Community Help Desk" in English.

@MMiller_WMF the translation didn't make the train last week; it will be in production on Thursday.

Yes, @kostajh is right. I noticed the problem some days ago and I've ensured the messages should be all good in TWN.

@Urbanecm -- I see now in production that the translation from my screenshot above is now correct. But what about this one, on the previous screen:

We want that to also say "the I Need Help page", and not "Wikipedia: I need help".

@MMiller_WMF I've already corrected this at Translatewiki.net, on January 08, and it was transferred by afae17d4 to the repository. Per Special:Version, eae29dd is the current version that's deployed on production. As you can see, this commit is newer than afae17d4, which means afae17d4 must be on production as well. For some reason, the translation is still not updated. Maybe some i18n cache in action?

revi added a comment.Jan 19 2019, 1:33 PM

For the record: No issue @ kowiki.

</workhat>

MMiller_WMF closed this task as Resolved.Jan 23 2019, 1:12 AM
MMiller_WMF moved this task from Needs PM Review to Done on the Growth-Team (Current Sprint) board.

@Urbanecm -- I'm not sure what happened, but everything looks good in Czech Wikipedia now. Thanks.